<?php
// +---------------------------------------------------------------------------+
// | GUS Plugin                                                                |
// +---------------------------------------------------------------------------+
// | index.php                                                                 |
// | Administration page.                                                      |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002, 2003, 2005 by the following authors:                  |
// |                                                                           |
// | Authors: Andy Maloney      - asmaloney@users.sf.net                       |
// |          Tom Willett       - twillett@users.sourceforge.net               |
// |          John Hughes       - jlhughes@users.sf.net                        |
// |                                                                           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+

require_once('../../../lib-common.php');


// Only let admin users access this page
if ( (!SEC_inGroup('Root')) && (!SEC_hasRights('gus.view')) )
{
    // Someone is trying to illegally access this page
    COM_errorLog( "Someone has tried to illegally access the GUS admin page.  "
    	. "User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: {$_SERVER['REMOTE_ADDR']}", 1 );
    $display = COM_siteHeader();
    $display .= COM_startBlock($LANG_GUS00['access_denied']);
    $display .= $LANG_GUS00['access_denied_msg'];
    $display .= COM_endBlock();
    $display .= COM_siteFooter(true);
    echo $display;
    exit;
}

$display = '';

/**
* Main 
*/

function GUS_admin_load_ignore_tables()
{
	global	$_TABLES, $_GUS_IP_IGNORE, $_GUS_PAGE_IGNORE, $_GUS_USER_IGNORE;
	
	$_GUS_IP_IGNORE = array();
	$_GUS_PAGE_IGNORE = array();
	$_GUS_USER_IGNORE = array();
	
	$rec = DB_query("SELECT * FROM {$_TABLES['gus_ignore_ip']}",1);
	while ( $row = DB_fetchArray( $rec, false ) )
	{
		$_GUS_IP_IGNORE[] = $row['ip'];
	}
	
	$rec = DB_query("SELECT * FROM {$_TABLES['gus_ignore_page']}",1);
	while ( $row = DB_fetchArray( $rec, false ) )
	{
		$_GUS_PAGE_IGNORE[] = $row['page'];
	}
	
	$rec = DB_query("SELECT * FROM {$_TABLES['gus_ignore_user']}",1);
	while ( $row = DB_fetchArray( $rec, false ) )
	{
		$_GUS_USER_IGNORE[] = $row['username'];
	}
}

if ( $action == 'capture_on' )
{
    DB_query( "UPDATE {$_TABLES['gus_vars']} SET value='1' WHERE name='capture' LIMIT 1" );
    $_GUS_VARS['capture'] = '1';
}
else if ( $action == 'capture_off' )
{
    DB_query( "UPDATE {$_TABLES['gus_vars']} SET value='0' WHERE name='capture' LIMIT 1" );
    $_GUS_VARS['capture'] = '0';
}
else if ( $action == 'remove_data' )
{
    DB_query( "UPDATE {$_TABLES['plugins']} SET pi_enabled = '0' WHERE pi_name = 'gus'" );
	
    DB_query( "TRUNCATE {$_TABLES['gus_user_agents']}" );
    DB_query( "TRUNCATE {$_TABLES['gus_userstats']}" );
    
    DB_query( "UPDATE {$_TABLES['gus_vars']} SET value='0' WHERE name='imported'" );
    
    DB_query( "UPDATE {$_TABLES['plugins']} SET pi_enabled = '1' WHERE pi_name = 'gus'" );
	
	// Give the user feedback
	$display .= COM_startBlock( 'Status', '', COM_getBlockTemplate ('_msg_block', 'header') );
	$display .= "Data removed.";
	$display .= COM_endBlock( COM_getBlockTemplate('_msg_block', 'footer') );
	$display .= '<hr>';
}

if ( $newip != '' )
{
	if ( $newipaction == $LANG_GUS00['addip'] )
	{
		DB_query( "INSERT INTO {$_TABLES['gus_ignore_ip']} VALUES ('$newip')", 1 );
	}
	else if ( $newipaction == $LANG_GUS00['deleteip'] )
	{
		DB_query( "DELETE FROM {$_TABLES['gus_ignore_ip']} WHERE ip='$newip'", 1 );
	}
}

if ( $newuser != '' )
{
	if ( $newuseraction == $LANG_GUS00['adduser'] )
	{
		DB_query("INSERT INTO {$_TABLES['gus_ignore_user']} VALUES ('$newuser')",1);
	}
	else if ( $newuseraction == $LANG_GUS00['deleteuser'] )
	{
		DB_query("DELETE FROM {$_TABLES['gus_ignore_user']} WHERE username='$newuser'",1);
	}
}

if ( $newpage != '' )
{
	if ( $newpageaction == $LANG_GUS00['addpage'] )
	{
		DB_query("INSERT INTO {$_TABLES['gus_ignore_page']} VALUES ('$newpage')",1);
	}
	else if ( $newpageaction == $LANG_GUS00['deletepage'] )
	{
		DB_query("DELETE FROM {$_TABLES['gus_ignore_page']} WHERE page='$newpage'",1);
	}
}

GUS_admin_load_ignore_tables();

$T = new Template($_CONF['path'] . 'plugins/gus/templates');
$T->set_file('admin', 'admin.thtml');
$T->set_block('admin','IP','ABlock');
$T->set_block('admin','USER','BBlock');
$T->set_block('admin','PAGE','CBlock');
$T->set_var('site_admin_url', $_CONF['site_admin_url']);
$T->set_var('stats_name', 'gus' );
if ($_GUS_VARS['capture'] == '1') {
    $T->set_var('adminmsg1', $LANG_GUS00['captureon']);
    $T->set_var('btnmsg', $LANG_GUS00['turnoff']);
    $T->set_var('action','capture_off');
} else {
    $T->set_var('adminmsg1', $LANG_GUS00['captureoff']);
    $T->set_var('btnmsg', $LANG_GUS00['turnon']);
    $T->set_var('action','capture_on');
}
$T->set_var('ignoreip_msg',$LANG_GUS00['ipignored']);
$T->set_var('ipbtnmsg',$LANG_GUS00['addip']);
$T->set_var('dipbtnmsg',$LANG_GUS00['deleteip']);
$i=1;
foreach ($_GUS_IP_IGNORE as $ip) {
    $T->set_var("ip{$i}",$ip);
    $i++;
    if ($i == 5) {
        $i=1;
        $T->Parse('ABlock','IP',true);
        $T->set_var('ip2','');
        $T->set_var('ip3','');
        $T->set_var('ip4','');
    }
}
if ($i != 1) {
    $T->Parse('ABlock','IP',true);
}
$T->set_var('ignoreuser_msg',$LANG_GUS00['userignored']);
$T->set_var('userbtnmsg',$LANG_GUS00['adduser']);
$T->set_var('duserbtnmsg',$LANG_GUS00['deleteuser']);
$i=1;
foreach ($_GUS_USER_IGNORE as $user) {
    $T->set_var("user{$i}",$user);
    $i++;
    if ($i == 5) {
        $i=1;
        $T->Parse('BBlock','USER',true);
        $T->set_var('user2','');
        $T->set_var('user3','');
        $T->set_var('user4','');
    }
}
if ($i != 1) {
    $T->Parse('BBlock','USER',true);
}
$T->set_var('ignorepage_msg',$LANG_GUS00['pageignored']);
$T->set_var('pagebtnmsg',$LANG_GUS00['addpage']);
$T->set_var('dpagebtnmsg',$LANG_GUS00['deletepage']);
$i=1;
foreach ($_GUS_PAGE_IGNORE as $page) {
    $T->set_var("page{$i}",$page);
    $i++;
    if ($i == 4) {
        $i=1;
        $T->Parse('CBlock','PAGE',true);
        $T->set_var('page2','');
        $T->set_var('page3','');
    }
}
if ($i != 1) {
    $T->Parse('CBlock','PAGE',true);
}

$T->parse('output','admin');
$display .= $T->finish($T->get_var('output'));

// let's clear out all the data!
$display .= '<hr><h4>Remove Data</h4>';
$display .= 'Click the \'Remove Data\' button to clear out all the data in your GUS databases. ';
$display .= 'This will not affect your settings - only the data. ';
$display .= 'I will disable the plugin, perform the operation, and enable the plugin again. ';
$display .= '<p><b>This is irreversible</b>, so make sure you really want to do this. ';
$display .= 'You will not get a silly "Are you sure you want to do this?" message.';
$display .= "<form method='POST' action='{$_CONF['site_admin_url']}/plugins/gus/index.php'>
			<input type='submit' value='Remove Data' name='Remove'>
			<input type='hidden' value='remove_data' name='action'>
			</form>";

// fetch the 'imported' var since it may have changed
$rec = DB_query( "SELECT value FROM {$_TABLES['gus_vars']} WHERE name = 'imported' LIMIT 1", 1 );
$row = mysql_fetch_assoc( $rec );

$_GUS_VARS['imported'] = $row['value'];

// check for old stats to see if we should add an import link
if ( GUS_checkStatsInstall() && $_ST_plugin_name != '' && ( $_GUS_VARS['imported'] < 3 ) )
{
	$import_url = $_CONF['site_admin_url'] . '/plugins/gus/import.php';

	$stats_version = DB_getItem( $_TABLES['plugins'], 'pi_version', "pi_name = '{$_ST_plugin_name}'" );

	$display .= '<hr><h4>Import Data</h4>';
	$display .= "I notice you have the stats plugin version {$stats_version} installed as '{$_ST_plugin_name}'. ";
	
	if ( $stats_version != '1.3' )
	{
		$display .= "<p>If you had version 1.3 installed, I could import its data. 
			If you update this in the future, you can import its data from 
			the <a href=\"$admin_url\">admin page</a>.";
	}
	else
	{	
		$display .= "<p>You may import its data into GUS using the <a href=\"{$import_url}\">import page</a>.";
	}
}

$img_url = $_CONF['site_url'] . '/gus/images/' . $_GUS_IMG_small_name;
$header = '<img src="' . $img_url . '" width=24 height=24 alt="GUS pic" align=middle>&nbsp;&nbsp;' . $LANG_GUS00['admin'] . ' [v' . plugin_chkVersion_gus() .']';
$readme_url = $_CONF['site_admin_url'] . '/plugins/gus/readme.html#config';

echo COM_siteHeader();
echo COM_startBlock( $header, $readme_url );

echo $display;

echo COM_endBlock();
echo COM_siteFooter( true );
?>
