<?php
// +---------------------------------------------------------------------------+
// | GUS Plugin                                                                |
// +---------------------------------------------------------------------------+
// | util.inc                                                                  |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2005 by the following authors:                              |
// |                                                                           |
// | Authors: Andy Maloney      - asmaloney@users.sf.net                       |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+

function GUS_template_get_user_data( $uid, $username )
{
	global $_CONF;
	
    if ( $uid > 1 )
		$data = '<a href="' . $_CONF['site_url'] . '/users.php?mode=profile&amp;uid=' . $uid . '">' . $username . "</a>";
    else
		$data = $username;

	return $data;
}

function GUS_template_get_page_data( $sitehost, $page, $query_string )
{
	global $_TABLES;
	
	$html_query = htmlentities( $query_string );
	
	if ( preg_match( "/^.*article\.php$/", $page ) )
	{
		$query1 = explode( '&', $query_string );
		$query = explode( '=', $query1[0] );

		$title = DB_getItem( $_TABLES['stories'],'title', "sid = '$query[1]'" );

		if ( $title == '' )
			$title = $page;

		$data = '<a href="' . $sitehost . '/' . $page . '?' . $html_query . '">' . $title . "</a>";
	}
	else if ( preg_match( "/^.*staticpages\/index\.php$/", $page ) )
	{
		$query1 = explode( '&', $query_string );
		$query = explode( '=', $query1[0] );

		$title = DB_getItem( $_TABLES['staticpage'],'sp_title', "sp_id = '$query[1]'" );

		if ( $title == '' )
			$title = $page;
			
		$data = '<a href="' . $sitehost . '/' . $page . '?' . $html_query . '">' . $title . "</a>";
	}
	else if ( preg_match( "/^.*portal\.php$/", $page ) || ($page == 'download.php') )
	{
		$query1 = explode( '&', $query_string );
		$query = explode( '=', $query1[0] );

		$title = urldecode( $query[1] );
		
		if ( ($title == '') || ($title == 'yes') )
			$title = $page;
			
		$data = '<a href="' . $sitehost . '/' . $page . '?' . $html_query . '">' . $title . "</a>";
	}
	else if ( preg_match( "/^.*404\.php$/", $page ) )
	{
		$data =  $page;
		
		if ( $html_query != '' )
			$data .= ' <span class="a404">[' .  $html_query . ']</span>';
	}
	else
	{
		$data = '<a href="' . $sitehost . '/' . $page . '?' . $html_query . '">' . $page . "</a>";
	}

	return $data;
}

function GUS_template_get_referrer_data( $referrer )
{
	if ( $referrer != '' )
	{
		$referrer = htmlentities( urldecode( $referrer ) );
		$data = '<a href="' . $referrer . '" target="_blank">' . $referrer . '</a>';
	}
	else
	{
		$data = '&nbsp;';
	}

	return $data;
}

function	GUS_template_start( $page = 'table.thtml' )
{
	global $LANG_GUS00, $_CONF, $_GUS_IMG_small_name;
	
	$template = new Template( $_CONF['path'] . 'plugins/gus/templates' );
	
	$template->set_file( array(
			'header'	=> 'header.thtml',
			'page'		=> $page,
			'footer'	=> 'footer.thtml'
			));
	
	$template->set_var( 'ref_url', $_CONF['site_url'] . '/gus/index.php' );
	$template->set_var( 'img_url', $_CONF['site_url'] . '/gus/images/' . $_GUS_IMG_small_name );

	return $template;
}

function	GUS_template_finish( $template, $title )
{
	$template->set_var( 'header_text', $title );
	
	$template->parse( 'page_header', 'header' );
	$template->parse( 'table', 'page' );
	$template->parse( 'page_footer', 'footer' );

	$data = '<div class="gus">';
	$data .= $template->finish( $template->get_var( 'page_header' ) );
	$data .= $template->finish( $template->get_var( 'table' ) );
	$data .= '<br>';
	$data .= $template->finish( $template->get_var( 'page_footer' ) );
	$data .= '</div>';
	
	return( $data );
}

?>
